Alteryx Server Knowledge Base

Definitive answers from Server experts.

Issues in 2021.4.1

LisaL
Alteryx
Alteryx
Created

Issues in 2021.4.1

 

Environment Details

The initial release of 2021.4.1 had issues that are outlined here. 2021.4 will be available when those issues have been resolved. If you have already installed this version, please apply the workarounds given in this article, and plan to upgrade to the next build when it is released.

 
  • Alteryx Designer, Alteryx Server 
    • 2021.4.1


Cause

Please refer to the issues in the next section.

  

Resolutions
 

Designer 

Issue: Excel (xlsx) data ingest may cause Designer to not import all data or error 

Summary: Null values in the first row of initial columns of data may cause those columns to not be read in from Excel (xlsx). This issue may not cause an error and only be noticed when auditing data output. Please check that you do not have null values in the data written from workflows that include Input Data tools that read Excel files. 

Original Issue #: GCSE-357  
Issue #: TCM-392 

See the article on this topic.  The workaround is to make certain that there is information in every cell in the first row.  You can remove that information afterward if needed.

 

Server 

Issue: Chained applications stop working in 21.4.1 Server 

Summary: The first app runs, but subsequent apps do not. 

Original Issue #: TCPE-204 
Issue #: TMEE-440 

Please open a case with the Support team because the workaround is to roll back to 2021.3 or earlier, but there are some potential pitfalls in that process.

 

Server 

Issue: Using Private Subscription/Studio API keys with v1 Gallery API endpoints fails with an unknown exception 

Summary: Endpoints in 21.4.1 are incorrectly not recognizing Subscription/Studio keys.   
Please note: Private Subscriptions/Private Studios will be removed from Server in releases later this year, and in preparation for that, all v1/v2 endpoints that previously used OAuth1 have been moved to /webapi/ and use API Access Keys and Secrets with OAuth2. We recommend modifying your API calls as soon as possible to avoid problems with future releases. 

Original Issue #: GCSE-368  
Issue #: TGAL-6323 

The workaround is to use the API Access Keys and Secrets.  The v1 and v2 endpoints are deprecated in 2021.4.  They are still accessible, and upon the rerelease of 2021.4 they will work as they did in 2021.3.  If you are running 2021.4.1, when you change the Key and Secret, you can take this opportunity to revise the endpoints as well.

Additional Resources

No ratings
Comments
ben_hopkins
7 - Meteor

One difficulty in rolling back to 2021.3 is the Mongo DB version schema. 2021.4 uses a different version of the schema that is not readable by 2021.3. Apparently, it is not possible to 'migrate' between these versions.

 

The use of the Server here is not affected too much by the issues outlined in the original post (while testing of chained apps would be useful, it is not an essential feature at this time), a rollback is not necessary and is preferable to losing the database.


Regards,

Ben 

Kenda
15 - Aurora
15 - Aurora

I am experiencing the Excel issue mentioned above in 2021.2 as well, so it doesn't seem to be isolated to just the 2021.4 release. 

LisaL
Alteryx
Alteryx

@ben_hopkins 
Agreed that there are a number of issues that make rolling back problematic.  I did not list them in the article but instead recommended users contact support.  I stand by that.  

 

@Kenda 

Please open a case with Support.  We had not observed that issue in earlier versions and are very interested.

 

This seems like a good place to mention that the Case Portal is the preferred mode of opening a case.  It is towards the bottom left of the Support page.

Kenda
15 - Aurora
15 - Aurora

Hi @LisaL 

 

I emailed support last month to notify them of this issue. In that email, I reported that I am using 2021.2. I got a response stating that a case was opened and a defect was logged. Would you still like me to open a case via the portal?

 

Cc @cgoodman3 @grossal 

LisaL
Alteryx
Alteryx

@Kenda Thank you for the info.  Knowing that, I can look it up.

LisaL
Alteryx
Alteryx

@Kenda 
Thank you for the information.  The defect associated with your case is the one with original ID GCSE-335.  The defect reported with 2021.4 is somewhat different and had not existed previously (again, at least to my knowledge).

Bigum
5 - Atom

We've started experiencing issues with the download tool only finishing half a download of data and returning errors, and only on some downloads, could it be related? 

Ross1875
6 - Meteoroid

Is there an ETA on a patch @LisaL ?

Drvt6713
7 - Meteor

I've had 2021.14.1 installed and in use for a couple of weeks and then received the Issue notification above.

So I uninstalled .14 and reinstalled 2021.3.5 and when I opened the first of many flows that I have worked on over the past weeks since .14 was installed, I get the warning below. 

Is there any way to identify, by flow, what changes are incompatible with the earlier version?

 

Now I can't get 2021.14.1 back as it is not on the download site any longer!

 

Earlier Version Warning.PNG

DanielG
10 - Fireball

@Drvt6713 - you can open it as a text file and change the version which is like the first or second line of the text.

 

As long as there are no tools that didnt exist in the prior version being used, you should be all set.

 

DanielG_0-1645827223937.png

 

Drvt6713
7 - Meteor

Thanks DanielG .

If all I have to be concerned about is the use of new tools in the new version, I am fine with answering the warning dialog.

I was concerned that that had been some underlying changes made to common tools that were not backward compatible.

 

maisonsteyer
7 - Meteor

Is there an estimated time frame on when Server will be functional? We have a significant amount of reports that are not functional until this version is re-released. I would like to be able to provide management with an update as to when they can expect these reports to be working. 

LisaL
Alteryx
Alteryx

@maisonsteyer 

I do not have a firm estimate for you, but we're generally looking at mid- to late- March.

LisaL
Alteryx
Alteryx

@Bigum 
My apologies for not responding to you when I responded to other questions.  I cannot say whether your issues are related, but I would suspect not.  To be clear, is the situation you're describing using the Download tool to access the API endpoints on your Alteryx Server, or are you connecting to a third-party API endpoint?  If it's the former, then possibly related, but otherwise, it's most likely independent.

simonaubert_bd
11 - Bolide

@LisaL Hello. Will it still be labeled 2021.4 or, given the fact we're already in March 2022, will it be a 2022.1 ?

Best regards,

Simon

LisaL
Alteryx
Alteryx

@simonaubert_bd 
Good question.  It will be 2021.4 (specifically, 2021.4.2).

patrick_digan
17 - Castor
17 - Castor

For anybody following this page, 2021.4.2 is now available for download in the license portal. It does have a caveat (perhaps temporary) recommending to disable AMP:

patrick_digan_0-1647629586867.png

https://help.alteryx.com/release-notes/server/server-20214-release-notes

 

 

LisaL
Alteryx
Alteryx